*{
    margin: 0;
    padding: 0;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card {
    width: 600px;
    border: 1px solid rgb(212, 212, 212);
}

.card:hover {
    background-color: rgb(248, 248, 248);
}

.name_mail {
    display: flex;
    align-items: center;
}

.mail {
    margin-left: 20px;
}

.btn_style {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(214, 214, 214);
    border-radius: 3px;
    cursor: pointer;
    user-select: none;
}

.buttons {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.del {
    width: 50px;
    height: 25px;
}

.edit_icon {
    height: 50px;
    cursor: pointer;
    user-select: none;
}

.add_btn {
    margin-top: 10px;
    margin-bottom: 10px;
    width: 150px;
    height: 40px;
}

.add_post, .edit_post {
    position: fixed;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 300px;
    height: 300px;
    top: calc(50vh - 150px);
    background-color: rgb(245, 245, 245);
    border-radius: 3px;
    border: 1px solid rgb(212, 212, 212); 
}

.btns {
    display: flex;
    justify-content: center;
}

.yes, .no, .edit_yes, .edit_no {
    width: 100px;
    height: 25px;
    margin: 10px;
}

.div_a {
    margin-top: 50vh;
    width: 300px;
    height: 5px;
    background-color: coral;
    animation: anim 1.5s infinite ease;
}

.hidden {
    display: none;
}

@keyframes anim {
    0%{
        width: 300px;
        background-color: coral;
    }
    50%{
        width: 500px;
        background-color: cornflowerblue;
    }
    100%{
        width: 300px;
        background-color: coral;
    }
}




